package com.yc.education.mapper;

import com.yc.education.model.Technologyclassify;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TechnologyclassifyMapper extends MyMapper<Technologyclassify> {
   /* 查询所有*/
    List<Technologyclassify> selectAllTclassify(@Param("titleName") String titleName);

    /*查询推荐到首页*/
    List<Technologyclassify> selectAllTclassifyrm();

    /*查询单条记录*/
    Technologyclassify selectTclassifyById(int id);

   /* *//*删除单条*//*
    void deleteTclassifyById(int id);*/

}